Bug 27497 - Charts not working
Summary: Charts not working
Status: RESOLVED FIXED
Alias: None
Product: POI
Classification: Unclassified
Component: POI Overall (show other bugs)
Version: 2.0-FINAL
Hardware: All other
: P3 major with 4 votes (vote)
Target Milestone: ---
Assignee: POI Developers List
URL:
Keywords:
Depends on:
Blocks: 28203
  Show dependency tree
 
Reported: 2004-03-06 19:47 UTC by Eric DeFazio
Modified: 2004-11-16 19:05 UTC (History)
0 users



Attachments
java example (2.62 KB, text/plain)
2004-03-23 17:04 UTC, Daniel Shaw
Details
excel example (21.50 KB, application/octet-stream)
2004-03-23 17:05 UTC, Daniel Shaw
Details
First example was wrong, sorry (2.55 KB, text/plain)
2004-03-23 17:06 UTC, Daniel Shaw
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eric DeFazio 2004-03-06 19:47:20 UTC
I have recently updated to the POI 2.5-final realease of POI from the 2.0 
Final, and when I dynamically populate data which feeds into charts, the Excel 
File becomes corrupt.

I switched back to 2.0-final and everything worked fine.

Basically to repeat this bug:

1) create an Excel Worksheet with a chart (by selecting the data) in Excel
2) through POI, open the worksheet and change the data which feeds the chart
3) open the modified Excel Document in Excel, and the (File Corrupt) error 
message occurs

... wish I had more details about this... seems to be something with the 2.5 
final release, (Maybe dealing with the Escher format code or something) 
everything works great when I use the 2.0 jars.
Comment 1 Daniel Shaw 2004-03-23 17:02:45 UTC
Having the exact same problem (even without modifying the sheet)..

When I use POIFSFileSystem.writeFileSystem(OutputStream), I can transmit the 
whole document.

but when I use HSSFWorkbook.write(OutputStream) the file becomes corrupted.

Attaching my code and the excel example.
Comment 2 Daniel Shaw 2004-03-23 17:04:50 UTC
Created attachment 10925 [details]
java example
Comment 3 Daniel Shaw 2004-03-23 17:05:31 UTC
Created attachment 10926 [details]
excel example
Comment 4 Daniel Shaw 2004-03-23 17:06:56 UTC
Created attachment 10927 [details]
First example was wrong, sorry
Comment 5 jon batcheller 2004-04-20 20:31:42 UTC
Reverting to 2.0-RC2 it works OK
Comment 6 Glen Stampoultzis 2004-06-27 11:24:30 UTC
Resolved by applying patch in 28203 from Michael.